Bug 6991 - Create symbolic libraries when install
Create symbolic libraries when install
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x86 Linux
: P3 normal
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 03:49 UTC by Brian Lu (mail address dead)
Modified: 2010-01-06 12:09 UTC (History)
1 user (show)

See Also:


Attachments
create symoblic when running "make install" (1.73 KB, patch)
2009-12-16 03:51 UTC, Brian Lu (mail address dead)
no flags Details
create symbol link (1.78 KB, patch)
2009-12-16 03:55 UTC, Brian Lu (mail address dead)
metze: review-
Details
reviesed patch (1.27 KB, patch)
2009-12-17 01:01 UTC, Brian Lu (mail address dead)
brian.lu: review? (metze)
metze: review? (jelmer)
Details
revised tdb patch (920 bytes, patch)
2009-12-17 01:01 UTC, Brian Lu (mail address dead)
brian.lu: review? (metze)
metze: review? (jelmer)
Details
revised tevent patch (989 bytes, patch)
2009-12-17 01:02 UTC, Brian Lu (mail address dead)
brian.lu: review? (metze)
metze: review? (jelmer)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Lu (mail address dead) 2009-12-16 03:49:27 UTC
talloc.pc gives the library flags -ltalloc. But when using 'make install' to install libtalloc to some path, libtalloc.so is not created. The same issue also exits in tdb and tevent.
Comment 1 Brian Lu (mail address dead) 2009-12-16 03:51:10 UTC
Created attachment 5090 [details]
create symoblic when running "make install"
Comment 2 Brian Lu (mail address dead) 2009-12-16 03:55:20 UTC
Created attachment 5091 [details]
create symbol link

Add creating symbol link libtdb.so.1
Comment 3 Matthias Dieter Wallnöfer 2009-12-16 04:11:20 UTC
Brian, it's better to add metze for such reviews. He's more expert than I'm.
Comment 4 Stefan Metzmacher 2009-12-16 04:23:11 UTC
Comment on attachment 5091 [details]
create symbol link

Jelmer wanted to let ldconfig or packagers handle the symlinks.

If Jelmer is fine with this, we need 3 patches (one for each library)
in git format-patch style including a commit message.

Also ln -sf isn't portable. we need rm -f followed by ln -s.
Comment 5 Brian Lu (mail address dead) 2009-12-17 01:01:11 UTC
Created attachment 5093 [details]
reviesed patch
Comment 6 Brian Lu (mail address dead) 2009-12-17 01:01:49 UTC
Created attachment 5094 [details]
revised tdb patch
Comment 7 Brian Lu (mail address dead) 2009-12-17 01:02:25 UTC
Created attachment 5095 [details]
revised tevent patch
Comment 8 Stefan Metzmacher 2009-12-23 01:15:37 UTC
Comment on attachment 5093 [details]
reviesed patch 

Jelmer, please comment on these patches
Comment 9 Stefan Metzmacher 2009-12-23 01:15:49 UTC
Comment on attachment 5094 [details]
revised tdb patch

Jelmer, please comment on these patches
Comment 10 Stefan Metzmacher 2009-12-23 01:16:02 UTC
Comment on attachment 5095 [details]
revised tevent patch

Jelmer, please comment on these patches
Comment 11 Matthias Dieter Wallnöfer 2010-01-06 12:09:40 UTC
Applied and therefore I'm closing this bug. Thanks for the provided patches, Brian!